%global commit b0207cc23bc6f7f511e710b3e47e7273a3ff4074
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global mod_name Flask-WhooshAlchemy

Name:           python-flask-whooshalchemy
Version:        0.6
Release:        14%{?dist}
Summary:        Whoosh extension to Flask/SQLAlchemy

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/gyllstromk/Flask-WhooshAlchemy
Source0:        https://github.com/gyllstromk/Flask-WhooshAlchemy/archive/%{commit}/%{mod_name}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-flask
BuildRequires:  python2-sqlalchemy
BuildRequires:  python2-flask-sqlalchemy
BuildRequires:  python2-whoosh
BuildRequires:  python2-blinker


%global _description\
Flask-WhooshAlchemy is a Flask extension that integrates the text-search\
functionality of Whoosh with the ORM of SQLAlchemy for use in Flask\
applications.

%description %_description

%package -n python2-flask-whooshalchemy
Summary: %summary
Requires:  python2-flask
Requires:  python2-sqlalchemy
Requires:  python2-flask-sqlalchemy
Requires:  python2-whoosh
Requires:  python2-blinker
%{?python_provide:%python_provide python2-flask-whooshalchemy}

%description -n python2-flask-whooshalchemy %_description

%prep
# Delete upstream supplied egg-info
rm -rf *.egg-info
%setup -q -n %{mod_name}-%{commit}

%build
%if 0%{?fedora} >= 21
sed -i -e "s/Flask-SQLAlchemy==1.0/Flask-SQLAlchemy>=1.0/" requirements.txt
sed -i -e "s/Whoosh==2.6.0/Whoosh>=2.5.7/" requirements.txt
%endif
%{__python2} setup.py build

# %check was removed because it needs a internet conection and mock chroot
# environment does not have a internet conection, more details:
# https://fedoraproject.org/wiki/Packaging:Guidelines#Build_time_network_access

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files -n python2-flask-whooshalchemy
%{python2_sitelib}/flask_whooshalchemy.py*
%{python2_sitelib}/Flask_WhooshAlchemy-*.egg-info/
%doc doc/ README.rst LICENSE.txt 

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-12
- Python 2 binary package renamed to python2-flask-whooshalchemy
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 21 2015 Tonet Jallo <tonet666p@gmail.com> 0.6-6
- Removing check section.

* Sun Feb 15 2015 Tonet Jallo <tonet666p@gmail.com> 0.6-5
- Changing requirements.txt for support other version of Whoosh but functional.

* Tue Feb 03 2015 Tonet Jallo <tonet666p@gmail.com> 0.6-4
- Re-adding Required section, it was deleted erroneusly by me.

* Tue Feb 03 2015 Tonet Jallo <tonet666p@gmail.com> 0.6-3
- Adding rules for support Flask-SQLAlchemy upstreams upgrade.
- Correcting the BuilRequires section.

* Sun Feb 01 2015 Tonet Jallo <tonet666p@gmail.com> 0.6-2
- Correcting some errors in SPEC file

* Wed Jan 07 2015 Tonet Jallo <tonet666p@gmail.com> 0.6-1
- Updating to new release and changing the Source

* Mon Dec 29 2014 Tonet Jallo <tonet666p@gmail.com> 0.56-3
- Correcting some errors in SPEC file

* Tue Sep 16 2014 Tonet Jallo <tonet666p@gmail.com> 0.56-2
- Correcting duplicated files in SPEC file

* Sat Sep 13 2014 Tonet Jallo <tonet666p@gmail.com> 0.56-1
- Initial RPM release


